var webpack = require('webpack');
var path = require('path');

var BUILD_DIR = path.resolve(__dirname, 'dist');
var APP_DIR = path.resolve(__dirname, '.');

var config = {
  devtool:'source-map',
  entry: './index.js',
  output: {
    path: BUILD_DIR,
    filename: 'react_inline_editable.lib.js',
    library:'ReactInlineEditable',
    libraryTarget:'umd'
  },
  module : {
     loaders: [
            { test: /\.jsx$/, loader: "jsx-loader" },
        ],
  }
};

module.exports = config;